@import "variables";
@import '~bootstrap/scss/bootstrap.scss';
@import '~bootstrap-vue/src/index.scss';
@import "~vue2-animate/src/sass/vue2-animate";

* {
  font-family: 'Montserrat', sans-serif;
}

@font-face {
  font-family: 'Iskra';
  font-weight: 900;
  src: url('../fonts/Iskra.woff2') format('woff2'), url('../fonts/Iskra.woff') format('woff');
}

html, body {
  background-color: white;
  overflow-x: hidden;
}

header.header {
  .header__whatsapp {
    width: 2rem;
    height: 2rem;
    @include media-breakpoint-down(sm) {
      width: 1rem;
      height: 1rem;
      padding: 0;
    }
  }

  .navbar {
    height: 5rem;

    &-light {
      background-color: white;
    }

    &-brand {
      font-weight: $font-weight-bold;
      font-size: $h2-font-size;
      text-transform: uppercase;
      color: $primary;
      outline: none !important;

      img {
        height: 3rem;
        object-fit: contain;
        @include media-breakpoint-down(sm) {
          width: 5rem;
        }
      }
    }

    .nav-item {
      font-size: $h5-font-size;

      .nav-link {
        color: $secondary;
        outline: none !important;
        white-space: nowrap;
        @include media-breakpoint-down(sm) {
          font-size: $font-size-sm;
          padding: 0.25rem;
        }
      }

      &:hover .nav-link {
        color: $primary;
      }

      &.dropdown, &--circled {
        display: flex;
        align-items: center;
        justify-content: center;

        .nav-link {
          border: 1px solid $border-color;
          border-radius: 4rem;
          padding: 0.25rem 0.75rem;
          font-size: $font-size-base;
          display: flex;
          align-items: center;
          justify-content: center;
          @include media-breakpoint-down(sm) {
            padding: 0.25rem;
            width: 2rem;
            height: 2rem;
          }

          img {
            width: 1rem;
            height: 1rem;
            object-fit: contain;
          }

          &::after {
            content: none;
          }
        }
      }
    }

    .dropdown-menu {
      top: 3.5rem;
      @include media-breakpoint-down(sm) {
        left: initial;
        right: 0;
        font-size: $font-size-sm;
        min-width: 8rem;
      }

      .dropdown-item {
        color: $secondary;
        outline: none !important;

        &.active, &:active {
          background-color: transparent;
          font-weight: $font-weight-normal;
          color: $primary;
        }

        @include media-breakpoint-down(sm) {
          padding: 0.25rem 0.5rem;
        }
      }
    }
  }

  .cart {
    span {
      position: absolute;
      right: 0;
      top: 0;
      color: $primary;
      background-color: white;
      font-size: 10px;
      border-radius: 50%;
      height: 1rem;
      min-width: 1rem;
      display: flex;
      align-items: center;
      justify-content: center;
      transform: translate(10%, 10%);
      border: 1px solid $border-color;
    }
  }
}

.dropdown {
  &-menu {
    border-width: 0;
    box-shadow: $box-shadow;
  }

  &-item {
    display: flex;
    align-items: center;
    justify-content: flex-start;

    img {
      width: 1.5rem;
      height: 1.5rem;
      object-fit: contain;
    }
  }
}

.btn {
  &.btn--bottomed {
    position: relative;

    &:active {
      top: 3px;
    }

    &.btn-primary {
      box-shadow: 0 3px darken($primary, 20%);

      &:active {
        box-shadow: 0 0 darken($primary, 20%) !important;
      }

      &:not(:active):hover {
        top: -1px;
        box-shadow: 0 4px darken($primary, 20%);
      }
    }

    &.btn-success {
      box-shadow: 0 3px darken($success, 20%);

      &:active {
        box-shadow: 0 0 darken($success, 20%) !important;
      }

      &:not(:active):hover {
        top: -1px;
        box-shadow: 0 4px darken($success, 20%);
      }
    }

    &.btn-warning {
      box-shadow: 0 3px darken($warning, 20%);

      &:active {
        box-shadow: 0 0 darken($warning, 20%) !important;
      }

      &:not(:active):hover {
        top: -1px;
        box-shadow: 0 4px darken($warning, 20%);
      }
    }
  }

  &.btn--right {
    position: relative;

    &:active {
      left: 3px;
      @include media-breakpoint-down(sm) {
        top: 3px;
        left: initial;
      }
    }

    &.btn-primary {
      box-shadow: 3px 0 darken($primary, 20%);
      @include media-breakpoint-down(sm) {
        box-shadow: 0 3px darken($primary, 20%);
      }

      &:active {
        box-shadow: 0 0 darken($primary, 20%) !important;
      }

      &:not(:active):hover {
        left: -1px;
        box-shadow: 4px 0 darken($primary, 20%);
        @include media-breakpoint-down(sm) {
          left: initial;
          top: -1px;
          box-shadow: 0 4px darken($primary, 20%);
        }
      }
    }

    &.btn-danger {
      box-shadow: 3px 0 darken($danger, 20%);
      @include media-breakpoint-down(sm) {
        box-shadow: 0 3px darken($danger, 20%);
      }

      &:active {
        box-shadow: 0 0 darken($danger, 20%) !important;
      }

      &:not(:active):hover {
        left: -1px;
        box-shadow: 4px 0 darken($danger, 20%);
        @include media-breakpoint-down(sm) {
          left: initial;
          top: -1px;
          box-shadow: 0 4px darken($danger, 20%);
        }
      }
    }

    &.btn-success {
      box-shadow: 3px 0 darken($success, 20%);

      &:active {
        box-shadow: 0 0 darken($success, 20%) !important;
      }

      &:not(:active):hover {
        left: -1px;
        box-shadow: 4px 0 darken($success, 20%);
      }
    }
  }
}

footer.footer {
  background-color: $dark;
  color: white;

  .footer__logo {
    filter: brightness(0) invert(1);
    opacity: 0.7;
    width: 8rem;
    max-width: 100%;
  }

  .footer__top {
    .list-inline {
      &-item {
        a {
          color: rgba(white, 0.7);
          position: relative;
        }
      }
    }
  }

  .footer__bottom {
    .footer__cards {
      img {
        height: 2rem;
        object-fit: contain;
      }
    }

    .socials {
      img {
        opacity: 0.7;
        width: 2rem;
        height: 1.6rem;
        object-fit: contain;
        filter: brightness(0) invert(1);
      }
    }

    .copyright {
      color: rgba(white, 0.7);
      line-height: 2rem;
    }
  }
}

main.main {
  margin-top: 7.5rem;
}

.min-vh {
  --header-height: 7.5rem;
  min-height: calc(100vh - var(--header-height));
}

.min-vh-2 {
  --header-height: 7.5rem;
  --footer-height: 16.5rem;
  min-height: calc(100vh - var(--header-height) - var(--footer-height));
}

.shadow-top-lg {
  box-shadow: $box-shadow-top-lg;
}

.table-borderless {
  th, td {
    padding-left: 0;
    padding-right: 0;
    @include media-breakpoint-down(sm) {
      &:last-child {
        text-align: right;
      }
    }
  }
}

@include media-breakpoint-down(sm) {
  h1, .h1 {
    font-size: $h2-font-size;
  }
  h2, .h2 {
    font-size: $h3-font-size;
  }
  h3, .h3 {
    font-size: $h4-font-size;
  }
  h4, .h4 {
    font-size: $h5-font-size;
  }
  h5, .h5 {
    font-size: $h6-font-size;
  }
  h6, .h6 {
    font-size: $font-size-sm;
  }
}

.feed {
  height: 2.5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: $white;
  &__left {
    line-height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
  }
  &__right {
    line-height: 2rem;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    @include media-breakpoint-down(sm) {
      display: none;
    }
    img {
      width: 2rem;
      height: 2rem;
      object-fit: cover;
    }
  }
}

.ignoreBreak {
  br {
    display: none;
  }
}
